Loading...
Searching...
No Matches
pdumodel::Pdu::Sensors Struct Reference

PDU sensors. More...

`import "Pdu.idl";`

## Public Attributes

vector< sensors::StateSensor > | powerSupplyStatus
| Power supply fault status.
sensors::NumericSensor | activePower
| Active power sensor.
sensors::NumericSensor | apparentPower
| Active power sensor.
sensors::NumericSensor | activeEnergy
| Active energy sensor.
sensors::NumericSensor | apparentEnergy
| Active energy sensor.

## Detailed Description

PDU sensors.

Definition at line 58 of file Pdu.idl.

## Member Data Documentation

## activeEnergy

sensors::NumericSensor pdumodel::Pdu::Sensors::activeEnergy

Active energy sensor.

Definition at line 62 of file Pdu.idl.

## activePower

sensors::NumericSensor pdumodel::Pdu::Sensors::activePower

Active power sensor.

Definition at line 60 of file Pdu.idl.

## apparentEnergy

sensors::NumericSensor pdumodel::Pdu::Sensors::apparentEnergy

Active energy sensor.

Definition at line 63 of file Pdu.idl.

## apparentPower

sensors::NumericSensor pdumodel::Pdu::Sensors::apparentPower

Active power sensor.

Definition at line 61 of file Pdu.idl.

## powerSupplyStatus

vector<sensors::StateSensor> pdumodel::Pdu::Sensors::powerSupplyStatus

Power supply fault status.

Definition at line 59 of file Pdu.idl.

The documentation for this struct was generated from the following file:

- Pdu.idl